Loading...
Searching...
No Matches
smart_capability File Reference

L4::Capability class. More...

`#include <l4/sys/capability>`
Include dependency graph for smart_capability:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

class | L4::Smart_cap< T, SMART >
| Smart capability class. More...

## Namespaces

namespace | L4
| L4 low-level kernel interface.

## Functions

template<typename T, typename F, typename SMART>
Smart_cap< T, SMART > | L4::cap_cast (Smart_cap< F, SMART > const &c) noexcept
| static_cast for (smart) capabilities.
template<typename T, typename F, typename SMART>
Smart_cap< T, SMART > | L4::cap_reinterpret_cast (Smart_cap< F, SMART > const &c) noexcept
| reinterpret_cast for (smart) capabilities.

## Detailed Description

L4::Capability class.

Author
  Alexander Warg alexa.nosp@m.nder.nosp@m..warg.nosp@m.@os..nosp@m.inf.t.nosp@m.u-dr.nosp@m.esden.nosp@m..de

Definition in file smart_capability.